﻿/**************************************************************************
 * PositioningInfo.cs
 * NMEAの測位情報を扱うクラス for C#
 * 
 * 開発者　：森下功啓（K.Morhista Kumamoto-University）
 * 開発履歴：2011/7/3   GPS.cs整備開始
 *           2011/7/6   2地点間の距離を求める、GetDistanceのデバッグ。単位長までしか計算していなかった…。
 *           2011/7/17  XYZとBLHに二項演算子を追加
 *           2011/9/19  Open(string fname)のバグを修正
 *                      GetPositions(),GetPositioningResults()において、ubloxのNMEAフォーマットに対応（現時点での要求仕様を満たすだけなので万能ではないことに注意）
 *                      PositioningInfosのToString()に高度も含まれるように変更
 *           2011/11/11 よく分かっていないが、シリアル化した方が良さそうとのことで[Serializable]を片っ端からつけてみた。今後どうなるかは・・・よく分からない。
 *           2011/11/20 BLH構造体にToString()を追加
 *           2011/12/2  XML構文エラーがある部分を訂正した
 *           2011/12/15 BLH構造体にToString()を追加
 *           2012/4/22  コメントを少しだけ付け直した。
 *                      NMEAクラスは現時点ではバイナリの処理が不可能だが、そこんとこを何とかしたい。
 *           2012/4/24  GPS.csのソースコードを分割して独立させた。
 *           2012/5/4   NMEA.csよりさらに分離。名前空間も変えた。
 *           2012/5/6   [Serializable]を解除
 * ***********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GNSS.GPS.NMEA
{
    /// <summary>
    /// 観測データを取り扱うクラス
    /// <para>構造体だと初期化を必ず求められるためクラスとした。</para>
    /// </summary>
    public class PositioningInfo
    {
        /*-------メンバ変数-----*/
        /// <summary>
        /// 測位時刻（エポック）
        /// </summary>
        public DateTime time;
        /// <summary>
        /// 測位座標
        /// </summary>
        public BLH position;
        /*-------コンストラクタ系----------*/
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public PositioningInfo() { }
        /// <summary>
        /// デスコンストラクタ
        /// </summary>
        ~PositioningInfo() { }
    }
}
