﻿/**************************************************************************
 * GnssTest.cs
 * GNSS名前空間に属するクラス群をテストする静的クラス for C#
 * 
 * 開発者　：森下功啓（K.Morhista Kumamoto-University）
 * 開発履歴：
 *          2012/5/19   開発開始
 *          2012/5/28   ReadNmeaToRectangleFeild()を新設した。
 * ***********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GNSS.Field;
using GNSS.GPS.NMEA;

namespace GNSS
{
    /// <summary>
    /// GNSS名前空間に属するクラス群をテストする静的クラス
    /// </summary>
    public static class GnssTest
    {
        /// <summary>
        /// 未実装
        /// </summary>
        public static void BlhTest()
        {
            return;
        }
        /// <summary>
        /// NMEA読み出し機能およびRectangleFieldクラスのテスト
        /// <para>ダイアログを利用してNMEAファイルを開きます。</para>
        /// <para>NMEA読み取り後に、測位結果を配列化して測位結果全体が収まるRectangleFieldオブジェクトを生成します。</para>
        /// <para>未測位データは除いています。</para>
        /// </summary>
        /// <returns>測位データ全体を覆う長方形領域情報</returns>
        public static RectangleField ReadNmeaToRectangleFeild()
        {
            NmeaReader reader = new NmeaReader();
            reader.OpenWithDialog();                            // NMEAファイル読み出し
            BLH[] pos = reader.GetPositions();                  // 測位情報のうちから位置座標のみを取得
            RectangleField field = new RectangleField();
            foreach (BLH x in pos)                              // 最外領域を求める
            {
                if (x.B != 0.0 && x.L != 0.0) field.Set(x);     // 未測位データは除く
            }
            return field;
        }
    }
}
